[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| MultiBlocking< DIM, C > Class Template Reference |

`#include <vigra/multi_blocking.hxx>`

## Public Member Functions
bool | containsVolumeBorder (const Block &block) const
| does this block intersect with the volume border
size_t | numBlocks () const
| total number of blocks

## Detailed Description

### template<unsigned int DIM, class C>
class vigra::MultiBlocking< DIM, C >

MultiBlocking is used to split a image / volume / multiarray into non-overlapping blocks. These non overlapping blocks are called cores. A border can be added to the core boxes. These 'core+border' blocks are just called border. The core block within the coordinate system of the border block is called local core.

The documentation for this class was generated from the following file:

- vigra/multi_blocking.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0 (Fri May 19 2017)